{% extends "ajax/game/town/town.html.twig" %}
{% block content %}
    {% set hour = "now"|date("G") %}
    <div class="row">
        <div class="cell rw-12 town-banner town-banner-visit time-{{ hour }} {% if town.isNight %}night{% endif %}"></div>
    </div>

    {# @var \App\Entity\Citizen owner #}
    {# @var \App\Structures\HomeDefenseSummary def #}
    <h5>
        <b>{{ owner.user.name }}</b>
        ({% if owner.alive %}
            <img alt="{{ owner.profession.label|trans({},'game') }}" src="{{ asset('build/images/professions/' ~ owner.profession.icon ~ '.gif') }}" />
        {% else %}
            <img alt="{{ 'Tot'|trans({},'game') }}" src="{{ asset('build/images/professions/death.gif') }}" />
        {% endif %})
    </h5>

    {% if hasClairvoyance and owner.alive %}
        <div class="clairvoyance">
            <img src="{{ asset('build/images/heroskill/small_view.gif') }}" /> <strong>{{'Hellseherei'|trans({},'game')}} : </strong>
            {% if clairvoyanceLevel > 0 %}
            {% for i in range(1, clairvoyanceLevel) %}<img src="{{ asset('build/images/icons/small_new.gif') }}" alt="*" />{% endfor %}
            {% endif %}
        </div>
    {% endif %}

    <div class="lightbox">
        <div class="row">
            {% if (owner.user.avatar) %}
                <div class="cell rw-12 hide-desktop hide-lg center">
                    <div class="avatar small"><img alt="" src="{{ path('app_web_avatar', {'uid': owner.user.id, 'name': owner.user.avatar.smallName, 'ext': owner.user.avatar.format}) }}"></div><br />&nbsp;
                </div>
                <div class="cell rw-3 rw-lg-4 rw-md-0">
                    {% if app.user.preferSmallAvatars %}
                        <div class="avatar small"><img alt="" src="{{ path('app_web_avatar', {'uid': owner.user.id, 'name': owner.user.avatar.smallName, 'ext': owner.user.avatar.format}) }}"></div>
                    {% else %}
                        <div class="avatar"><img alt="" src="{{ path('app_web_avatar', {'uid': owner.user.id, 'name': owner.user.avatar.filename, 'ext': owner.user.avatar.format}) }}"></div>
                    {% endif %}
                </div>
            {% endif %}
            <div class="row">
                <div class="cell rw-5 rw-lg-6"><span class="highlight">{{ 'Haus'|trans({},'game') }} :</span></div>
                <div class="cell rw-7 rw-lg-6"><img alt="" src="{{ asset('build/images/home/' ~ owner.home.prototype.icon ~ '.gif') }}"> {{ owner.home.prototype.label|trans({},'buildings') }}</div>
            </div>
            {% if owner.alive %}
                <div class="row">
                    <div class="cell rw-5 rw-lg-6"><span class="highlight">{{ 'Verteidigung'|trans({},'game') }} :</span></div>
                    <div class="cell rw-7 rw-lg-6"><img alt="" src="{{ asset('build/images/icons/def.gif') }}"> {{ def.sum }}</div>
                </div>
                <div class="row">
                    <div class="cell rw-5 rw-lg-6"><span class="highlight">{{ 'Dekoration'|trans({},'game') }} :</span></div>
                    <div class="cell rw-7 rw-lg-6"><img alt="" src="{{ asset('build/images/icons/deco.gif') }}"> {{ deco }}</div>
                </div>
            {% else %}
                <div class="row">
                    <div class="cell rw-5 rw-lg-6"><span class="highlight">{{ 'Todesursache'|trans({},'game') }} :</span></div>
                    <div class="cell rw-7 rw-lg-6">{{ owner.causeOfDeath.label|trans({},'game') }} (<a x-ajax-href="{{ path('soul_visit', {id: owner.user.id}) }}" style="cursor: pointer; text-decoration: underline;"><img src="{{ asset('build/images/icons/small_ghost_red.gif') }}" alt=""/> {{'Seine Seele ansehen'|trans({}, 'game')}}</a>)</div>
                </div>
                <div class="row">
                    <div class="cell rw-5 rw-lg-6"><span class="highlight">{{ 'Letzte Worte:'|trans({},'game') }}</span></div>
                    <div class="cell rw-7 rw-lg-6"> {{ owner.lastWords }}</div>
                </div>
            {% endif %}
        </div>
    </div>

    <div class="row">
        <div class="padded cell rw-6 citizen-home">
            {% if owner.alive or owner.home.holdsBody %}
                <h5>{% trans from 'game' %}Meine Spezialaktionen{% endtrans %}</h5>
                {% if owner.alive %}
                    {# @var complaint \App\Entity\Complaint|null #}
                    {% if complaints > 0 %}
                        <div class="note">
                            {{ '%citizen% hat bereits %num% Anzeige(n).'|trans({'%citizen%': owner.user.name, '%num%': '<b>' ~ complaints ~ '</b>'}, 'game')|raw }}<br />
                            {% set names = ['', 'Verbannung'|trans({},'game'), 'Todesstrafe'|trans({},'game') ] %}
                            {% if complaint is not null and complaint.severity > 0 %}
                                {{ 'Eine davon stammt von dir. Du hast %punishment% gefordert.'|trans({'%punishment%': '<b>' ~ names[complaint.severity] ~ '</b>'}, 'game')|raw }}<br />
                            {% endif %}
                        </div>
                    {% endif %}
                    <button x-ajax-href="{{ path('soul_visit', {id: owner.user.id}) }}"><img src="{{ asset('build/images/icons/small_ghost_red.gif') }}" alt="" />{{'Seine Seele ansehen'|trans({}, 'game')}}</button>
                    <button x-ajax-href="{{ path('town_house', {tab: 'messages', subtab: 'write', dest: owner.id}) }}"><img src="{{ asset('build/images/icons/small_mail.gif') }}" alt="" />{{'Eine Nachricht hinterlassen'|trans({}, 'game')}}</button>
                    {% if not citizen.banished %}
                        {% if complaint is null or complaint.severity == 0 %}<button x-complaint-severity="1">{{ 'Anzeige erstatten'|trans({},'game') }}</button>{% endif %}
                        {% if complaint is not null and complaint.severity > 0 %}<button x-complaint-severity="0">{{ 'Anzeige zurückziehen'|trans({},'game') }}</button>{% endif %}
                        {% if complaint is not null and complaint.severity == 1 %}<button x-complaint-severity="2">{{ 'Anzeige: Todesstrafe fordern'|trans({},'game') }}</button>{% endif %}
                        {% if complaint is not null and complaint.severity == 2 %}<button x-complaint-severity="1">{{ 'Anzeige: Verbannung fordern'|trans({},'game') }}</button>{% endif %}
                    {% endif %}
                    {% if not owner.zone %}
                        <button x-attack-citizen {% if not can_attack %}disabled{% endif %}><img alt="" src="{{ asset('build/images/icons/fist.gif') }}" /> {{ 'Diesen Bürger angreifen!'|trans({},'game') }} (<div class="ap">{{ attackAP }}</div>)</button>
                        {% if can_devour %}
                            <button x-devour-citizen {% if not allow_devour %}disabled{% endif %}><img alt="" src="{{ asset('build/images/roles/ghoul.gif') }}" /> {{ 'Diesen Bürger verspeisen!'|trans({},'game') }}</button>
                        {% endif %}
	                    {% if is_shaman and not banished %}
	                        <button x-heal-citizen>{{'Nutze deine heilenden Hände'|trans({}, 'game')}} (2 <div class="pm"></div>)</button>
	                    {% endif %}
                    {% endif %}
                {% endif %}
                {% if owner.home.holdsBody %}
                    <button x-disposal-id="2"><img alt="" src="{{ asset('build/images/item/item_water.gif') }}" />{{ 'Leiche mit Wasser übergießen'|trans({},'game') }}</button>
                    <button x-disposal-id="1">{{ 'Leiche aus der Stadt ziehen'|trans({},'game') }} (<div class="ap">2</div>)</button>
                    {% if has_cremato %}
                        <button x-disposal-id="3"><img alt="" src="{{ asset('build/images/item/item_hmeat.gif') }}" />{{ 'Leiche grillen'|trans({},'game') }}</button>
                    {% endif %}
                    {% if can_devour %}
                        <button x-devour-citizen {% if not allow_devour_corpse %}disabled{% endif %}><img alt="" src="{{ asset('build/images/roles/ghoul.gif') }}" />{{ 'Die Leiche verspeisen!'|trans({},'game') }}</button>
                    {% endif %}
                {% endif %}
            {% else %}
                <h5>{% trans from 'game' %}Was ist mit ihm geschehen?{% endtrans %}</h5>
                {% if owner.disposed is null %}
                    {{'Nach außen hin tot, wird %citizen% seinen Mitbürgern keine Ruhe geboten haben.'|trans({'%citizen%': "<strong>" ~ owner.user.name ~ "</strong>"}, 'game')|raw}}
                {% elseif owner.disposed is not null and owner.disposedBy|length > 0 %}
                <span class="disposal">
                    {% if owner.disposed == constant('App\\Entity\\Citizen::Thrown') %}
                        {{'Nicht ganz ekelfrei hat %disposing_citizen% den leblosen Körper von %citizen% entsorgt.'|trans({'%disposing_citizen%': "<em>" ~ owner.disposedBy[0].user.name ~ "</em>", '%citizen%': "<em>" ~ owner.user.name ~ "</em>"}, 'game')|raw}}
                    {% elseif owner.disposed == constant('App\\Entity\\Citizen::Watered') %}
                        {{'Dank %disposing_citizen% hat sich der Körper von %citizen% in verfaultes Wasser verwandelt.'|trans({'%disposing_citizen%': "<em>" ~ owner.disposedBy[0].user.name ~ "</em>", '%citizen%': "<em>" ~ owner.user.name ~ "</em>"}, 'game')|raw}}
                    {% elseif owner.disposed == constant('App\\Entity\\Citizen::Cooked') %}
                        Grâce aux efforts de <em>{{owner.disposedBy[0].user.name}}</em>, le corps de <em>{{owner.user.name}}</em> a été cuisiné en bon p'tit plat.
                    {% endif %}
                </span>
                {% else %}
                    {{ 'Unbekannt'|trans({}, 'game') }}
                {% endif %}
            {% endif %}
            {% if owner.alive %}
            <h5>{% trans from 'game' %}Gemeinschaft{% endtrans %}</h5>
            <ul class='gossips'>
                {% if owner.lastActionTimestamp == 0 %}
                <li>{{'Dieser Bürger wurde noch nie gesehen...'|trans({}, 'game')}}</li>
                {% else %}
                <li>{{'Der Bürger wurde zuletzt %time% gesehen.'|trans({'%time%': lastActionText}, 'game')}}</li>
                {% endif %}
                {% if owner.specificActionCounterValue(constant('App\\Entity\\ActionCounter::ActionTypeWell')) > 0 %}<li>{{"Dieser Bürger hat %ration% Wasserration(en) aus dem Brunnen genommen."|trans({'%ration%': owner.specificActionCounterValue(constant('App\\Entity\\ActionCounter::ActionTypeWell'))}, 'game')}}</li>{% endif %}
                {% if is_injured %}<li>{{'Dieser Bürger ist ernsthaft verletzt.'|trans({}, 'game')}}</li>{% endif %}
                {% if is_infected %}<li>{{'Dieser Bürger hat eventuell schon seit einer Weile Blut gehustet... Einige reden von einer Infektion.'|trans({}, 'game')}}</li>{% endif %}
                {% if is_thirsty %}<li>{{'Dieser Bürger hat eventuell heute Morgen überall nach Wasser gebettelt haben... Ob er durstig ist?'|trans({}, 'game')}}</li>{% endif %}
                {% if is_addicted %}<li>{{'Dieser Bürger is eventuell süchtig... Wir nennen sein Verhalten aggressiv, manchmal sogar assozial...'|trans({}, 'game')}}</li>{% endif %}
                {% if is_terrorised %}<li>{{'Dieser Bürger konnte nicht schlafen und redete wirres Zeug, von Tod, sprechenden Schatten und Stimmen in seinem Kopf...'|trans({}, 'game')}}</li>{% endif %}
                {% if not has_job %}<li>{{'Dieser Bürger ist nicht in der Lage, einen Beruf zu wählen. Wir sind noch lange nicht über den Berg, das kann ich euch sagen!'|trans({}, 'game')}}</li>{% endif %}
                {% if is_admin %}<li>{{'Dieser Bürger könnte jemand sehr Wichtiges sein. Vielleicht einer der Erschaffer?'|trans({}, 'game')}}</li>{% endif %}
            </ul>
            {% else %}
                {% if owner.home.prototype.level > 1 and owner.home.recycling < 15 %}
                <h5>{% trans from 'game' %}Meine Spezialaktionen{% endtrans %}</h5>
                <button x-recycle-home="1">{{ 'Behausung wiederverwerten'|trans({},'game') }} (<div class="ap">1</div>)</button>
                {% endif %}
                {% if owner.home.recycling > 0 and owner.home.recycling < 15 %}
                <div class="vote-bar">
                    <div class="vote-progress" style="width: {{owner.home.recycling / 15 * 100}}%;"></div>
                </div>
                {% endif %}
            {% endif %}
        </div>
        <div class="padded cell rw-6 citizen-chest">
            <h5>{{ '%citizen%s Truhe'|trans({'%citizen%': owner.user.name}, 'game') }}</h5>
            {% if not hidden %}
                <p>{{ 'Wenn Sie aus dem Fenster schauen, können Sie die folgenden Dinge im Haus sehen:'|trans({},'game') }}</p>
                {% embed "ajax/game/inventory.html.twig" with {'size': chest_size, 'items': chest.items, 'foreignChestMode': true} %}
                    {% block class %}chest{% endblock %}
                    {% block title %}{% endblock %}
                {% endembed %}
                {% if already_stolen %}
                    <div class="notice">{{'Du kannst heute keinen weiteren Gegenstand stehlen.'|trans({},'game')}}</div>
                {% elseif owner.alive %}
                    {% embed "ajax/game/inventory.html.twig" with {'size': rucksack_size, 'items': rucksack.items} %}
                        {% block class %}rucksack{% endblock %}
                        {% block title %}{% trans from 'game' %}Mein Rucksack{% endtrans %}{% endblock %}
                    {% endembed %}
                {% endif %}
            {% else %}
                <p>{{ 'Ein Vorhang blockiert die Sicht ...'|trans({},'game') }}</p>
            {% endif %}
        </div>
    </div>

    <div class="row">
        <h5>{{ '%citizen%s Register'|trans({'%citizen%': owner.user.name},'game') }}</h5>
        <div class="cell rw-12">
            {% embed "ajax/game/log.html.twig" with {'log_content': log, 'log_source': path('town_visit_log_controller', {'id': owner.id}) } %}
            {% endembed %}
        </div>
    </div>

    <br />

    <div class="row">
        <div class="cell rw-14">
            {% if is_granted('ROLE_ADMIN') %}
                {% if owner.alive %}
                        <button x-admin-action="1">{{ 'Headshot'|trans({},'game') }} <div class="kill"></div></button>
                {% endif %}
            {% endif %}
        </div>
    </div>

    <div class="row">
        <div class="cell ro-8 rw-4 ro-md-7 rw-md-5"><button x-ajax-href="{{ path('town_citizens') }}">{{ 'Schließen'|trans({},'global') }}</button></div>
    </div>

{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        {% embed "scripts/log.js.twig" %}{% endembed %};
        {% embed "scripts/inventory.js.twig" %}{% endembed %};

        handleItems(
            document.querySelectorAll('.rucksack>.item:not(.locked)[x-item-id]'),
            '{{ path('town_visit_item_controller', {id: owner.id}) }}',
            'down', '{{ path('town_visit', {id: owner.id}) }}',
            '{{ 'Bist du sicher, dass du hier einbrechen und einen Gegenstand hinterlassen willst?'|trans({},'game') }}'
        );

        handleItems(
            document.querySelectorAll('.chest>.item:not(.locked)[x-item-id]'),
            '{{ path('town_visit_item_controller', {id: owner.id}) }}',
            'up', '{{ path('town_visit', {id: owner.id}) }}',
            '{{ 'Bist du sicher, dass du hier einbrechen und einen Gegenstand stehlen willst?'|trans({},'game') }}'
        );

        {% if owner.alive %}
            const complainButtons = document.querySelectorAll('[x-complaint-severity]');
            for (let i = 0; i < complainButtons.length; i++)
                complainButtons[i].addEventListener('click', function() {
                    $.ajax.easySend( '{{ path('town_visit_complain_controller', {id: owner.id}) }}', {severity: parseInt(complainButtons[i].getAttribute('x-complaint-severity'))},
                        function () {
                            $.ajax.load(null, '{{ path('town_visit', {id: owner.id}) }}', true);
                        } );
                })
            {% if is_granted('ROLE_ADMIN') %}
                const adminButtons = document.querySelectorAll('[x-admin-action]');
                for (let i = 0; i < adminButtons.length; i++)
                    adminButtons[i].addEventListener('click', function() {
                    if (confirm('{{ 'Diesen Bürger töten?'|trans({},'admin') }}'))
                        $.ajax.easySend( '{{ path('town_visit_headshot', {id: owner.user.id}) }}', {},
                            function () {
                                $.ajax.load(null, '{{ path('town_visit', {id: owner.id}) }}', true);
                            } );
                })
            {% endif %}
            {% if is_shaman and not banished %}
	            const healButtons = document.querySelectorAll('[x-heal-citizen]');
	            for (let i = 0; i < healButtons.length; i++) {
	                healButtons[i].addEventListener('click', function() {
                        if (!confirm('{{ 'Bestätigen?'|trans({},'global')|e('js') }}'))
	                        return;
	                    $.ajax.easySend( '{{ path('visit_heal_citizen', {id: owner.id}) }}', {},
	                        function () {
	                            $.ajax.load(null, '{{ path('town_visit', {id: owner.id}) }}', true);
	                        } );
	                });
	            }
	        {% endif %}
            {% if can_attack %}
                $.html.addEventListenerAll('[x-attack-citizen]', 'click', function() {
                    if (!confirm('{{ 'Bestätigen?'|trans({},'global')|e('js') }}'))
                        return;
                    $.ajax.easySend( '{{ path('visit_attack_citizen', {id: owner.id}) }}', {},
                        function () {
                            $.ajax.load(null, '{{ path('town_visit', {id: owner.id}) }}', true);
                        } );
                });
            {% endif %}
        {% else %}
            const recycleBtn = document.querySelectorAll('[x-recycle-home]');
            for (let i = 0; i < recycleBtn.length; i++) {
                recycleBtn[i].addEventListener('click', function() {
                    if (!confirm('{{ 'Bestätigen?'|trans({},'global')|e('js') }}'))
                        return;
                    $.ajax.easySend( '{{ path('visit_recycle_home', {id: owner.id}) }}', {},
                        function () {
                            $.ajax.load(null, '{{ path('town_visit', {id: owner.id}) }}', true);
                        } );
                });
            }
        {% endif %}

        {% if can_devour and (allow_devour or allow_devour_corpse) %}
            $.html.addEventListenerAll('[x-devour-citizen]', 'click', function() {
                if (!confirm('{{ 'Bestätigen?'|trans({},'global')|e('js') }}'))
                    return;
                $.ajax.easySend( '{{ path('visit_devour_citizen', {id: owner.id}) }}', {},
                    function () {
                        $.ajax.load(null, '{{ path('town_visit', {id: owner.id}) }}', true);
                    } );
            });
        {% endif %}

        {% if owner.home.holdsBody %}
            const disposalButtons = document.querySelectorAll('[x-disposal-id]');
            for (let i = 0; i < disposalButtons.length; i++)
                disposalButtons[i].addEventListener('click', function() {
                    $.ajax.easySend( '{{ path('town_visit_dispose_controller', {id: owner.id}) }}', {action: parseInt(disposalButtons[i].getAttribute('x-disposal-id'))},
                        function () {
                            $.ajax.load(null, '{{ path('town_visit', {id: owner.id}) }}', true);
                        } );
                })
        {% endif %}
    </script>
{% endblock %}